import { BasicColumn, FormSchema } from '/@/components/Table';

//列表显示
export const dtlColumns: BasicColumn[] = [
  {
    title: '字段名',
    dataIndex: 'FieldName',
    ifShow: false,
    width: 180,
  },
];

export const newFormSchema: FormSchema[] = [
  {
    field: 'ASSEMBLY_NAME',
    label: '实体类名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: '00',
    component: 'Input',
    label: '1',
    colSlot: 'add',
    colProps: {
      span: 2,
    },
  },
  {
    field: '0',
    component: 'Input',
    label: '1',
    colSlot: 'condAdd',
    colProps: {
      span: 10,
    },
  },
];

export const crudSchemas: FormSchema[] = [
  {
    field: 'crudAssemblyName',
    label: '实体类名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: '00',
    component: 'Input',
    label: '1',
    colSlot: 'add',
    colProps: {
      span: 2,
    },
  },
  {
    field: '0',
    component: 'Input',
    label: '1',
    colSlot: 'crudCondAdd',
    colProps: {
      span: 10,
    },
  },
];

export const mainSchemas: FormSchema[] = [
  {
    field: 'MainAssemblyName',
    label: '实体类名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: '00',
    component: 'Input',
    label: '1',
    colSlot: 'add',
    colProps: {
      span: 2,
    },
  },
  {
    field: '0',
    component: 'Input',
    label: '1',
    colSlot: 'mainCondAdd',
    colProps: {
      span: 10,
    },
  },
];
